%define        pythonsip_ver  %(sip -V)
Name:          qscintilla
Version:       2.8.4
Release:       2mamba
Summary:       A port to Qt of Neil Hodgson's Scintilla C++ editor control
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.riverbankcomputing.co.uk/software/qscintilla
Source:        http://sourceforge.net/projects/pyqt/files/QScintilla2/QScintilla-%{version}/QScintilla-gpl-%{version}.tar.gz
Patch0:        qscintilla-2.7.2-prepend-local-includes.patch
Patch1:        qscintilla-2.7.2-designer-prepend-local-includes.patch
Patch2:        qscintilla-2.8.4-python-build-from-objdir.patch
Patch3:        qscintilla-2.8.4-python-qsci-link.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
#BuildRequires: qt-designer
# following build requirements are for Python bindings
# WARNING: do not parametrize python-sip-devel version or it will be useless for ports
BuildRequires: python-sip-devel >= 4.16.1
BuildRequires: PyQt4-devel
#BuildRequires: chrpath
Requires:      python-sip = %{pythonsip_ver}
Provides:      QScintilla2
Obsoletes:     QScintilla2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
QScintilla is a port to Qt of the Scintilla editing component.
As well as features found in standard text editing components, 
Scintilla includes features especially useful when editing and debugging source code:
* syntax styling with support for over 70 languages 
* error indicators 
* code completion 
* call tips 
* code folding 
* margins can contain markers like those used in debuggers to indicate breakpoints and the current line.
* recordable macros 
* multiple views printing.
 
%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      QScintilla2-devel
Obsoletes:     QScintilla2-devel

%description devel
QScintilla is a port to Qt of the Scintilla editing component.

This package contains libraries and header files need for development.

%package designer
Summary:       QScintilla designer plugin
Group:         Development/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      QScintilla2-designer
Obsoletes:     QScintilla2-designer

%description designer
QScintilla is a port to Qt of the Scintilla editing component.

This package contains QScintilla designer plugin.

%package -n python-%{name}
Summary:       QScintilla PyQt4 bindings
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      python-QScintilla2
Obsoletes:     python-QScintilla2

%description -n python-%{name}
QScintilla is a port to Qt of the Scintilla editing component.

This package contains QScintilla PyQt4 bindings.

%package -n python-%{name}-devel
Summary:       Development files for QScintilla PyQt4 bindings
Group:         Development/Libraries
Requires:      python-%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python-sip = %{pythonsip_ver}
Requires:      PyQt4
Provides:      python-QScintilla2-devel
Obsoletes:     python-QScintilla2-devel

%description -n python-%{name}-devel
QScintilla is a port to Qt of the Scintilla editing component.

This package contains development files for QScintilla PyQt4 bindings.

%prep
%setup -q -n QScintilla-gpl-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

sed -i "s/^DESTDIR = \$(QTDIR)/DESTDIR = \$(INSTALL_ROOT)\$(QTDIR)/" */*.pro

# fix permissions on doc files
find doc example-Qt4Qt5 -type f -exec chmod 0644 {} ';'
find src include -type f -exec chmod 0644 {} ';'

# fix line endings in license file(s)
sed -i 's/\r//' LICENSE.GPL2 GPL_EXCEPTION_ADDENDUM.TXT

%build
cd Qt4Qt5
#sed -i 's/INSTALLS += header trans qsci/INSTALLS += header trans qsci target/g' qscintilla.pro
%{_qt4_qmake} qscintilla.pro
%make
cd ..

cd designer-Qt4Qt5
%{_qt4_qmake} designer.pro
%make LFLAGS+="-L../Qt4Qt5 -shared -Wl,-O1"
#INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5
cd ..

cd Python
%{__python} configure.py \
   -c \
   -d %{python_sitearch}/PyQt4 \
   --qsci-incdir=../Qt4Qt5 \
   --qsci-libdir=../Qt4Qt5 \
   --qmake /usr/bin/qmake-qt4


%make CXX="c++ -I../Qt4Qt5"
cd ..

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C Qt4Qt5 \
  INSTALL_ROOT=%{buildroot}

%makeinstall -C designer-Qt4Qt5 \
  INSTALL_ROOT=%{buildroot}

%makeinstall -C Python INSTALL_ROOT=%{buildroot}

#chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/Qsci.so
#chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/Qsci.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun
/sbin/ldconfig
:

#%post   qt3 -p /sbin/ldconfig
#%postun qt3 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libqscintilla2.so.*
%{_qt4_datadir}/translations/qscintilla_*.qm
%dir %{_qt4_datadir}/qsci/api/python
%{_qt4_datadir}/qsci/api/python/*.api
%doc GPL_EXCEPTION_ADDENDUM.TXT
%doc GPL_EXCEPTION.TXT LICENSE.GPL2 LICENSE.GPL3
%doc OPENSOURCE-NOTICE.TXT

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt4/Qsci
%{_qt4_headerdir}/Qsci/*.h
%{_libdir}/libqscintilla2.so
%{_datadir}/qt4/mkspecs/features/qscintilla2.prf
%doc NEWS README
%doc doc/html-Qt4Qt5 doc/Scintilla example-Qt4Qt5

%files designer
%defattr(-,root,root)
%{_qt4_prefix}/plugins/designer/libqscintillaplugin.so

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/PyQt4/Qsci.so

%files -n python-%{name}-devel
%defattr(-,root,root)
%dir %{_datadir}/sip/PyQt4/Qsci
%{_datadir}/sip/PyQt4/Qsci/*.sip
#%{_datadir}/qt4/api/python/QScintilla2.api

%changelog
* Sun Nov 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-2mamba
- x86_64: install python module in %python_sitearch

* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-1mamba
- update to 2.8.4

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Wed Dec 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-2mamba
- rebuilt with python-sip 4.15.3

* Sat Nov 09 2013 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Fri Oct 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.2-3mamba
- rebuilt with python-sip 4.15.2

* Sat Jul 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.2-2mamba
- also repatch designer to build against built libraries instead of system installed

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.2-1mamba
- update to 2.7.2
- renamed from QScintilla2 to qscintilla

* Sun Nov 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-2mamba
- rebuild to link designer to current release

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Thu May 19 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.5.1-2mamba
- rebuilt with PyQt4 4.8.4

* Thu Apr 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Fri Dec 24 2010 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic update by autodist

* Sat Nov 06 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.4.5-2mamba
- rebuilt with libqt 4.7.0

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic update by autodist

* Mon Jul 19 2010 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Mon Apr 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.4.3-1mamba
- update to 2.4.3

* Wed Mar 10 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.4.2-1mamba
- update to 2.4.2

* Mon Dec 07 2009 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.4-2mamba
- fixed postun scriptlet 

* Mon Dec 07 2009 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.4-1mamba
- update to 2.4

* Thu Nov 13 2008 gil <puntogil@libero.it> 2.3.1-1mamba
- package created by autospec
